Bug 217385 - org.netbeans.modules.masterfs.filebasedfs.utils.FSException in relocatable project test
org.netbeans.modules.masterfs.filebasedfs.utils.FSException in relocatable pr...
Status: RESOLVED WORKSFORME
Product: cnd
Classification: Unclassified
Component: Project
7.3
PC Solaris
: P3 (vote)
: 7.3
Assigned To: Vladimir Kvashin
issues@cnd
: TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 15:36 UTC by Alexander Pepin
Modified: 2013-05-16 09:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2012-08-24 15:36:42 UTC
While running relocatable project tests the following exceptions frequently occurs in IDE while cleaning the project (IDE log also contain stack dump): 

INFO [org.netbeans.modules.cnd.api.project.NativeProjectRegistry]: Open native project RelocatableProject_application /export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application
org.netbeans.modules.masterfs.filebasedfs.utils.FSException: Cannot lock read-only file /export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application/nbproject/private/private.xml.
	at org.netbeans.modules.masterfs.filebasedfs.utils.FSException.io(FSException.java:118)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.lock(FileObj.java:356)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl$1.run(MakeProjectHelperImpl.java:433)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:607)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.runSaveAA(MakeProjectHelperImpl.java:386)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.saveXml(MakeProjectHelperImpl.java:423)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.save(MakeProjectHelperImpl.java:670)
	at org.netbeans.modules.cnd.makeproject.MakeBasedProjectFactorySingleton.saveProject(MakeBasedProjectFactorySingleton.java:239)
	at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:671)
	at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:662)
	at org.openide.util.Mutex.writeAccess(Mutex.java:438)
	at org.netbeans.api.project.ProjectManager.saveProject(ProjectManager.java:662)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveProject(MakeConfigurationDescriptor.java:1367)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:1128)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$500(MakeConfigurationDescriptor.java:126)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:1087)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:1034)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:83)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:514)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:474)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:460)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:152)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:331)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1656)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)
Caused by: 
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.metal.MetalBorders$ToolBarBorder@b9834c,flags=328,maximumSize=,minimumSize=,preferredSize=,floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=javax.swing.plaf.metal.MetalBorders$ToolBarBorder@b9834c,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=0,height=0],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=84],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=0,height=0],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,0x0,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=107],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=99],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=71],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=71],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=84],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
----- Start thread dump on catching IOException-----
Framework Event Dispatcher
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.getNextEvent(EventManager.java:400)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:336)

CLI Requests Server
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
	at java.net.ServerSocket.implAccept(ServerSocket.java:462)
	at java.net.ServerSocket.accept(ServerSocket.java:430)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1085)

Inactive RequestProcessor thread [Was:PaletteSwitch/org.netbeans.spi.palette.PaletteSwitch$1]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Framework Active Thread
	at java.lang.Object.wait(Native Method)
	at org.eclipse.osgi.framework.internal.core.Framework.run(Framework.java:1817)
	at java.lang.Thread.run(Thread.java:662)

main
	at java.lang.Object.wait(Native Method)
	at org.netbeans.junit.NbTestCase$1Guard.waitFinished(NbTestCase.java:362)
	at org.netbeans.junit.NbTestCase.runBare(NbTestCase.java:438)
	at org.netbeans.jellytools.JellyTestCase.runBare(JellyTestCase.java:183)
	at com.sun.ifdefqe.IfdefTestCase.runBare(IfdefTestCase.java:307)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at org.netbeans.junit.NbTestCase.run(NbTestCase.java:270)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at org.netbeans.junit.NbModuleSuite$NbTestSuiteLogCheck.runTest(NbModuleSuite.java:1493)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.netbeans.junit.NbModuleSuite$S.runInRuntimeContainer(NbModuleSuite.java:942)
	at org.netbeans.junit.NbModuleSuite$S.access$100(NbModuleSuite.java:665)
	at org.netbeans.junit.NbModuleSuite$S$1.protect(NbModuleSuite.java:686)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at org.netbeans.junit.NbModuleSuite$S.run(NbModuleSuite.java:682)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:422)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:931)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:785)

Inactive RequestProcessor thread [Was:org.netbeans.modules.project.ui.actions.ActiveConfigAction/org.netbeans.modules.project.ui.actions.ActiveConfigAction$14]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Code Model Parser 2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Thread-2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)

Java2D Disposer
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:127)
	at java.lang.Thread.run(Thread.java:662)

Code Model Parser 0
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

AWT-Shutdown
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	at java.lang.Thread.run(Thread.java:662)

Reference Handler
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)

Class View Updater
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater$BlockingQueue.get(ClassViewUpdater.java:68)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater.run(ClassViewUpdater.java:147)

Inactive RequestProcessor thread [Was:Explorer Actions/org.netbeans.modules.openide.explorer.ExplorerActionsImpl$ActionStateUpdater]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

AWT-XAWT
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:579)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:662)

Code Model Parser 1
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Timer-0
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	at java.util.TimerThread.run(Timer.java:462)

Active Reference Queue Daemon
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at org.openide.util.lookup.implspi.ActiveQueue$Daemon.run(ActiveQueue.java:180)

CND Repository Queue Dispatcher
	at sun.misc.Unsafe.park(Native Method)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at org.netbeans.modules.cnd.repository.queue.KeyValueQueue$EventsDispatcher.run(KeyValueQueue.java:150)

Inactive RequestProcessor thread [Was:System clipboard synchronizer/org.netbeans.NbClipboard]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

AWT-EventQueue-2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:484)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:236)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at java.awt.Component.show(Component.java:1584)
	at java.awt.Component.setVisible(Component.java:1536)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTaskImpl(ModalMessageDlg.java:197)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTask(ModalMessageDlg.java:90)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeLongAction(MakeActionProvider.java:427)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.runActionWorker(MakeActionProvider.java:352)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeAction(MakeActionProvider.java:346)
	at org.netbeans.modules.project.ui.actions.ProjectAction$1.run(ProjectAction.java:163)
	at org.openide.util.Mutex.doEvent(Mutex.java:1343)
	at org.openide.util.Mutex.writeAccess(Mutex.java:457)
	at org.netbeans.modules.project.ui.actions.ProjectAction.runSequentially(ProjectAction.java:160)
	at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed(ProjectAction.java:134)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionPerformed(LookupSensitiveAction.java:171)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:809)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:850)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
	at java.awt.Component.processMouseEvent(Component.java:6288)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6053)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4651)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4481)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:643)
	at java.awt.EventQueue.access$000(EventQueue.java:84)
	at java.awt.EventQueue$1.run(EventQueue.java:602)
	at java.awt.EventQueue$1.run(EventQueue.java:600)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:616)
	at java.awt.EventQueue$2.run(EventQueue.java:614)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:613)
	at org.netbeans.jemmy.QueueTool$JemmyQueue.dispatchEvent(QueueTool.java:609)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Bundle File Closer
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.getNextEvent(EventManager.java:400)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:336)

Code Model Parser 3
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Finalizer
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

Signal Dispatcher

Repository writer 0
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.waitReady(RepositoryWritingThread.java:99)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:134)
	at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run(RepositoryThreadManager.java:89)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Preparing build
	at java.lang.Thread.dumpThreads(Native Method)
	at java.lang.Thread.getAllStackTraces(Thread.java:1530)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveProject(MakeConfigurationDescriptor.java:1369)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:1128)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$500(MakeConfigurationDescriptor.java:126)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:1087)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:1034)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:83)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:514)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:474)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:460)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:152)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:331)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1656)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

TimerQueue
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.run(TimerQueue.java:232)
	at java.lang.Thread.run(Thread.java:662)

RequestProcessor queue manager
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$TickTac.obtainFirst(RequestProcessor.java:2254)
	at org.openide.util.RequestProcessor$TickTac.run(RequestProcessor.java:2230)

Worker-JM
	at java.lang.Object.wait(Native Method)
	at org.eclipse.core.internal.jobs.InternalWorker.run(InternalWorker.java:58)

Inactive RequestProcessor thread [Was:Fix registration KeyBasedUID on FileKey (/export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_applicationN, /export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application/system.cc)/org.netbeans.modules.cnd.modelimpl.csm.core.FakeRegistrationWorker$FixRegistrationRunnable]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Test Watch Dog: testCleanBuildProject
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.jemmy.Waiter.waitAction(Waiter.java:209)
	at org.netbeans.jemmy.operators.Operator.waitState(Operator.java:683)
	at org.netbeans.jemmy.operators.WindowOperator.waitClosed(WindowOperator.java:425)
	at com.sun.ifdefqe.debugger.BuildAction.waitPrepareBuildWindow(BuildAction.java:84)
	at com.sun.ifdefqe.debugger.actions.CleanProjectPopupAction.build(CleanProjectPopupAction.java:44)
	at com.sun.ifdefqe.projects.Project.build(Project.java:682)
	at ide.vcs.RelocatableProjectTest.testCleanBuildProject(RelocatableProjectTest.java:105)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at org.netbeans.jellytools.JellyTestCase.runTest(JellyTestCase.java:217)
	at com.sun.ifdefqe.IfdefTestCase.runTest(IfdefTestCase.java:316)
	at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:97)
	at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:413)
	at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:339)
	at java.lang.Thread.run(Thread.java:662)

-----End thread dump on catching IOException-----
WARNING [org.netbeans.TopSecurityManager]: use of system property netbeans.home has been obsoleted in favor of InstalledFileLocator/Places at org.netbeans.modules.dlight.util.usagetracking.SunStudioUserCounter.countIDE(SunStudioUserCounter.java:155)
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=0,height=0],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=84],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
INFO [org.netbeans.modules.cnd.api.project.NativeProjectRegistry]: Close native project RelocatableProject_application /export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application
log4j:WARN File option not set for appender [Main].
log4j:WARN Are you using FileAppender instead of ConsoleAppender?
log4j:WARN File option not set for appender [Debug].
log4j:WARN Are you using FileAppender instead of ConsoleAppender?
log4j:WARN File option not set for appender [Log].
log4j:WARN Are you using FileAppender instead of ConsoleAppender?
log4j:WARN File option not set for appender [Out].
log4j:WARN Are you using FileAppender instead of ConsoleAppender?
INFO [org.netbeans.modules.cnd.api.project.NativeProjectRegistry]: Open native project RelocatableProject_application /export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application
java.io.IOException: No such file or directory
	at java.io.UnixFileSystem.createFileExclusively(Native Method)
	at java.io.File.createNewFile(File.java:883)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createData(FolderObj.java:398)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createDataImpl(FolderObj.java:344)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj$1.call(FolderObj.java:310)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj$1.call(FolderObj.java:308)
	at org.netbeans.modules.masterfs.filebasedfs.FileBasedFileSystem.runAsInconsistent(FileBasedFileSystem.java:119)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FolderObj.createData(FolderObj.java:313)
	at org.openide.filesystems.FileUtil.createData(FileUtil.java:971)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl$1.run(MakeProjectHelperImpl.java:431)
	at org.openide.filesystems.EventControl.runAtomicAction(EventControl.java:127)
	at org.openide.filesystems.FileSystem.runAtomicAction(FileSystem.java:607)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.runSaveAA(MakeProjectHelperImpl.java:386)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.saveXml(MakeProjectHelperImpl.java:423)
	at org.netbeans.modules.cnd.makeproject.MakeProjectHelperImpl.save(MakeProjectHelperImpl.java:670)
	at org.netbeans.modules.cnd.makeproject.MakeBasedProjectFactorySingleton.saveProject(MakeBasedProjectFactorySingleton.java:239)
	at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:671)
	at org.netbeans.api.project.ProjectManager$6.run(ProjectManager.java:662)
	at org.openide.util.Mutex.writeAccess(Mutex.java:438)
	at org.netbeans.api.project.ProjectManager.saveProject(ProjectManager.java:662)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveProject(MakeConfigurationDescriptor.java:1367)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:1128)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$500(MakeConfigurationDescriptor.java:126)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:1087)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:1034)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:83)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:514)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:474)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:460)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:152)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:331)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1656)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_REMOVED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=0,height=0],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=28],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=56],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=84],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
java.awt.event.ContainerEvent[COMPONENT_ADDED,child=null] on org.openide.awt.ToolbarWithOverflow[,0,0,28x148,invalid,layout=javax.swing.BoxLayout,alignmentX=0.0,alignmentY=0.0,border=org.netbeans.core.io.ui.IOWindow$IOWindowImpl$VariableRightBorder@74b9ed,flags=328,maximumSize=,minimumSize=java.awt.Dimension[width=28,height=28],preferredSize=java.awt.Dimension[width=28,height=112],floatable=false,margin=,orientation=VERTICAL,paintBorder=true]
----- Start thread dump on catching IOException-----
Framework Event Dispatcher
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.getNextEvent(EventManager.java:400)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:336)

CLI Requests Server
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:408)
	at java.net.ServerSocket.implAccept(ServerSocket.java:462)
	at java.net.ServerSocket.accept(ServerSocket.java:430)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1085)

Inactive RequestProcessor thread [Was:MakeLogicalViewProvider.AnnotationUpdater/org.netbeans.modules.cnd.makeproject.ui.LogicalFolderNode]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Framework Active Thread
	at java.lang.Object.wait(Native Method)
	at org.eclipse.osgi.framework.internal.core.Framework.run(Framework.java:1817)
	at java.lang.Thread.run(Thread.java:662)

main
	at java.lang.Object.wait(Native Method)
	at org.netbeans.junit.NbTestCase$1Guard.waitFinished(NbTestCase.java:362)
	at org.netbeans.junit.NbTestCase.runBare(NbTestCase.java:438)
	at org.netbeans.jellytools.JellyTestCase.runBare(JellyTestCase.java:183)
	at com.sun.ifdefqe.IfdefTestCase.runBare(IfdefTestCase.java:307)
	at junit.framework.TestResult$1.protect(TestResult.java:110)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at junit.framework.TestResult.run(TestResult.java:113)
	at junit.framework.TestCase.run(TestCase.java:124)
	at org.netbeans.junit.NbTestCase.run(NbTestCase.java:270)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at org.netbeans.junit.NbModuleSuite$NbTestSuiteLogCheck.runTest(NbModuleSuite.java:1493)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at junit.framework.TestSuite.runTest(TestSuite.java:243)
	at junit.framework.TestSuite.run(TestSuite.java:238)
	at org.netbeans.junit.NbModuleSuite$S.runInRuntimeContainer(NbModuleSuite.java:942)
	at org.netbeans.junit.NbModuleSuite$S.access$100(NbModuleSuite.java:665)
	at org.netbeans.junit.NbModuleSuite$S$1.protect(NbModuleSuite.java:686)
	at junit.framework.TestResult.runProtected(TestResult.java:128)
	at org.netbeans.junit.NbModuleSuite$S.run(NbModuleSuite.java:682)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:422)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:931)
	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:785)

Inactive RequestProcessor thread [Was:MakeLogicalViewProvider.AnnotationUpdater/null]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Code Model Parser 2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Class View Updater
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater$BlockingQueue.get(ClassViewUpdater.java:68)
	at org.netbeans.modules.cnd.classview.ClassViewUpdater.run(ClassViewUpdater.java:147)

Inactive RequestProcessor thread [Was:Project Files/null]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Inactive RequestProcessor thread [Was:MakeLogicalViewProvider.AnnotationUpdater/org.netbeans.modules.cnd.makeproject.ui.MakeLogicalViewRootNode]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Thread-2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)

Java2D Disposer
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:127)
	at java.lang.Thread.run(Thread.java:662)

Test Watch Dog: testRunDebugProject
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.jemmy.Waiter.waitAction(Waiter.java:209)
	at org.netbeans.jemmy.ActionProducer.produceAction(ActionProducer.java:272)
	at org.netbeans.jemmy.operators.Operator.produceTimeRestricted(Operator.java:709)
	at org.netbeans.jemmy.operators.Operator.produceTimeRestricted(Operator.java:732)
	at org.netbeans.jemmy.operators.JPopupMenuOperator.pushMenu(JPopupMenuOperator.java:440)
	at org.netbeans.jemmy.operators.JPopupMenuOperator.pushMenu(JPopupMenuOperator.java:481)
	at org.netbeans.jemmy.operators.JPopupMenuOperator.pushMenu(JPopupMenuOperator.java:527)
	at org.netbeans.jemmy.operators.JPopupMenuOperator.pushMenu(JPopupMenuOperator.java:628)
	at com.sun.ifdefqe.debugger.actions.CleanAndBuildProjectPopupAction.build(CleanAndBuildProjectPopupAction.java:42)
	at com.sun.ifdefqe.projects.Project.build(Project.java:682)
	at ide.vcs.RelocatableProjectTest.testRunDebugProject(RelocatableProjectTest.java:133)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at junit.framework.TestCase.runTest(TestCase.java:168)
	at org.netbeans.jellytools.JellyTestCase.runTest(JellyTestCase.java:217)
	at com.sun.ifdefqe.IfdefTestCase.runTest(IfdefTestCase.java:316)
	at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:97)
	at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:413)
	at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:339)
	at java.lang.Thread.run(Thread.java:662)

Thread-64
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.jemmy.QueueTool.invokeAndWait(QueueTool.java:420)
	at org.netbeans.jemmy.QueueTool.invokeSmoothly(QueueTool.java:358)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver$5.actionProduced(QueueJMenuDriver.java:183)
	at org.netbeans.jemmy.Waiter.checkActionProduced(Waiter.java:315)
	at org.netbeans.jemmy.Waiter.waitAction(Waiter.java:208)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver.runAction(QueueJMenuDriver.java:203)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver.pushMenu(QueueJMenuDriver.java:151)
	at org.netbeans.jemmy.operators.JPopupMenuOperator$4.launch(JPopupMenuOperator.java:444)
	at org.netbeans.jemmy.ActionProducer.launchAction(ActionProducer.java:337)
	at org.netbeans.jemmy.ActionProducer.run(ActionProducer.java:296)

Code Model Parser 0
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

AWT-Shutdown
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:265)
	at java.lang.Thread.run(Thread.java:662)

Inactive RequestProcessor thread [Was:Mercurial.cacheNG/org.netbeans.modules.mercurial.FileStatusCache$2]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Reference Handler
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)

Inactive RequestProcessor thread [Was:Project Files/null]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Inactive RequestProcessor thread [Was:Explorer Actions/org.netbeans.modules.openide.explorer.ExplorerActionsImpl$ActionStateUpdater]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

AWT-XAWT
	at sun.awt.X11.XToolkit.waitForEvents(Native Method)
	at sun.awt.X11.XToolkit.run(XToolkit.java:579)
	at sun.awt.X11.XToolkit.run(XToolkit.java:543)
	at java.lang.Thread.run(Thread.java:662)

Timer-0
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	at java.util.TimerThread.run(Timer.java:462)

Code Model Parser 1
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Active Reference Queue Daemon
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at org.openide.util.lookup.implspi.ActiveQueue$Daemon.run(ActiveQueue.java:180)

CND Repository Queue Dispatcher
	at sun.misc.Unsafe.park(Native Method)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1987)
	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:399)
	at org.netbeans.modules.cnd.repository.queue.KeyValueQueue$EventsDispatcher.run(KeyValueQueue.java:150)

Inactive RequestProcessor thread [Was:MakeLogicalViewProvider.AnnotationUpdater/null]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Bundle File Closer
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.getNextEvent(EventManager.java:400)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:336)

AWT-EventQueue-2
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.awt.EventQueue.getNextEvent(EventQueue.java:484)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:236)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:178)
	at java.awt.Dialog$1.run(Dialog.java:1046)
	at java.awt.Dialog$3.run(Dialog.java:1098)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.Dialog.show(Dialog.java:1096)
	at java.awt.Component.show(Component.java:1584)
	at java.awt.Component.setVisible(Component.java:1536)
	at java.awt.Window.setVisible(Window.java:842)
	at java.awt.Dialog.setVisible(Dialog.java:986)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTaskImpl(ModalMessageDlg.java:197)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg.runLongTask(ModalMessageDlg.java:90)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeLongAction(MakeActionProvider.java:427)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.runActionWorker(MakeActionProvider.java:352)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.invokeAction(MakeActionProvider.java:346)
	at org.netbeans.modules.project.ui.actions.ProjectAction$1.run(ProjectAction.java:163)
	at org.openide.util.Mutex.doEvent(Mutex.java:1343)
	at org.openide.util.Mutex.writeAccess(Mutex.java:457)
	at org.netbeans.modules.project.ui.actions.ProjectAction.runSequentially(ProjectAction.java:160)
	at org.netbeans.modules.project.ui.actions.ProjectAction.actionPerformed(ProjectAction.java:134)
	at org.netbeans.modules.project.ui.actions.LookupSensitiveAction.actionPerformed(LookupSensitiveAction.java:171)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:809)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:850)
	at java.awt.Component.processMouseEvent(Component.java:6288)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6053)
	at java.awt.Container.processEvent(Container.java:2041)
	at java.awt.Component.dispatchEventImpl(Component.java:4651)
	at java.awt.Container.dispatchEventImpl(Container.java:2099)
	at java.awt.Component.dispatchEvent(Component.java:4481)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:643)
	at java.awt.EventQueue.access$000(EventQueue.java:84)
	at java.awt.EventQueue$1.run(EventQueue.java:602)
	at java.awt.EventQueue$1.run(EventQueue.java:600)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
	at java.awt.EventQueue$2.run(EventQueue.java:616)
	at java.awt.EventQueue$2.run(EventQueue.java:614)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:613)
	at org.netbeans.jemmy.QueueTool$JemmyQueue.shortcutEvent(QueueTool.java:602)
	at org.netbeans.jemmy.QueueTool.shortcutEvent(QueueTool.java:162)
	at org.netbeans.jemmy.QueueTool.processEvent(QueueTool.java:142)
	at org.netbeans.jemmy.drivers.input.EventDriver.dispatchEvent(EventDriver.java:83)
	at org.netbeans.jemmy.drivers.input.MouseEventDriver.dispatchEvent(MouseEventDriver.java:338)
	at org.netbeans.jemmy.drivers.input.MouseEventDriver.clickMouse(MouseEventDriver.java:212)
	at org.netbeans.jemmy.drivers.buttons.ButtonMouseDriver.push(ButtonMouseDriver.java:85)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver$OneReleaseAction.pushAlone(QueueJMenuDriver.java:235)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver$OneReleaseAction.process(QueueJMenuDriver.java:258)
	at org.netbeans.jemmy.drivers.menus.QueueJMenuDriver$OneReleaseAction.launch(QueueJMenuDriver.java:280)
	at org.netbeans.jemmy.QueueTool$QueueAction.run(QueueTool.java:562)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:199)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:641)
	at java.awt.EventQueue.access$000(EventQueue.java:84)
	at java.awt.EventQueue$1.run(EventQueue.java:602)
	at java.awt.EventQueue$1.run(EventQueue.java:600)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:611)
	at org.netbeans.jemmy.QueueTool$JemmyQueue.dispatchEvent(QueueTool.java:609)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Inactive RequestProcessor thread [Was:ErrorAnnotator worker/org.netbeans.modules.parsing.impl.indexing.errors.ErrorAnnotator$1]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Code Model Parser 3
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserQueue.waitReady(ParserQueue.java:530)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread._run(ParserThread.java:101)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThread.run(ParserThread.java:75)
	at org.netbeans.modules.cnd.modelimpl.csm.core.ParserThreadManager$Wrapper.run(ParserThreadManager.java:92)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Finalizer
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

Signal Dispatcher

Repository writer 0
	at java.lang.Thread.sleep(Native Method)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.waitReady(RepositoryWritingThread.java:99)
	at org.netbeans.modules.cnd.repository.queue.RepositoryWritingThread.run(RepositoryWritingThread.java:134)
	at org.netbeans.modules.cnd.repository.queue.RepositoryThreadManager$Wrapper.run(RepositoryThreadManager.java:89)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

RequestProcessor queue manager
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$TickTac.obtainFirst(RequestProcessor.java:2254)
	at org.openide.util.RequestProcessor$TickTac.run(RequestProcessor.java:2230)

TimerQueue
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.postExpiredTimers(TimerQueue.java:214)
	at javax.swing.TimerQueue.run(TimerQueue.java:230)
	at java.lang.Thread.run(Thread.java:662)

Preparing build
	at java.lang.Thread.dumpThreads(Native Method)
	at java.lang.Thread.getAllStackTraces(Thread.java:1530)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveProject(MakeConfigurationDescriptor.java:1369)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.saveWorker(MakeConfigurationDescriptor.java:1128)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.access$500(MakeConfigurationDescriptor.java:126)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor$SaveRunnable.run(MakeConfigurationDescriptor.java:1087)
	at org.netbeans.modules.cnd.makeproject.api.configurations.MakeConfigurationDescriptor.save(MakeConfigurationDescriptor.java:1034)
	at org.netbeans.modules.cnd.makeproject.api.ProjectSupport.saveAllProjects(ProjectSupport.java:83)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.onSaveStep(MakeActionProvider.java:514)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addTarget(MakeActionProvider.java:474)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.addAction(MakeActionProvider.java:460)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider.access$100(MakeActionProvider.java:152)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$1.runImpl(MakeActionProvider.java:331)
	at org.netbeans.modules.cnd.makeproject.MakeActionProvider$CancellableTask.run(MakeActionProvider.java:1656)
	at org.netbeans.modules.cnd.utils.ui.ModalMessageDlg$WindowAdapterImpl$1.runImpl(ModalMessageDlg.java:265)
	at org.netbeans.modules.cnd.utils.NamedRunnable.run(NamedRunnable.java:62)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1454)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2036)

Inactive RequestProcessor thread [Was:OpenIDE-request-processor-1/org.netbeans.core.startup.preferences.NbPreferences$1]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Worker-JM
	at java.lang.Object.wait(Native Method)
	at org.eclipse.core.internal.jobs.InternalWorker.run(InternalWorker.java:58)

Inactive RequestProcessor thread [Was:System clipboard synchronizer/org.netbeans.NbClipboard]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

Inactive RequestProcessor thread [Was:Default RequestProcessor/org.netbeans.modules.navigator.NavigatorController$ActNodeSetter]
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1986)

-----End thread dump on catching IOException-----
Comment 1 Vladimir Kvashin 2012-10-17 18:16:12 UTC
It reports 
"Cannot lock read-only file 
/export/hudson/jobs/cnd-test-intel-S2-2/workspace/tests/build/test/qa-functional/data/ide/vcs/RelocatableProjectTest/RelocatableProject_application/nbproject/private/private.xml"

And this file is *not* in fact read-only? Is this correct?
Comment 2 Vladimir Kvashin 2012-10-19 11:10:26 UTC
Does this repeat? If it does, then please check that reported file is not read-only. If it is then it's a known fact, which probably worth a separate issue (project system tries to write project metadata when nothing changed), which is not related with relocatability.
Comment 3 Vladimir Kvashin 2012-10-19 11:28:44 UTC
This can be found in automated tests log on ss-test-intel-S2-2.
The file does not really seem to be read-only.
Comment 4 Vladimir Kvashin 2012-12-10 13:43:01 UTC
Just an information: recently I fixed a very similar situation. The same exception occurred when a file was deleted after IDE had stored a correspondent FileObject instance. When IDE then tried to access this file, exception occurred. 

Can it be the case that the directory is deleted while a test is being run?
Comment 5 Vladimir Kvashin 2013-05-16 09:44:32 UTC
I don't see these exceptions inb log any more, I guess they are fixed a while ago.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo